Đến nội dung


Hình ảnh

Trích tọa độ trong cad


  • Please log in to reply
16 replies to this topic

#1 cu_dinh

cu_dinh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 04 April 2011 - 03:50 PM

Các bạn cho mình hỏi :
Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?
có dùng lisp gì không hay chỉ dùng lệnh trong cad?
Tiện thể chỉ cho mình cách trích tọa độ ra ễcl luôn
Mình có file cad thể hiện đây :
http://www.cadviet.c...ong_khu_r4b.rar
mà mình không biết làm thế nào.
mail cua mình : luongcongdinhgtvt@gmail.com
Cảm ơn các bạn nhìu!!!
  • 1

#2 baggiotung

baggiotung

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 05 April 2011 - 07:50 AM

bạn dùng lệnh li, pick chuột vào điểm cần coi tọa độ enter :P
  • 0

#3 Quangtrung64

Quangtrung64

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 April 2012 - 08:58 PM

Dùng lisp và cho ra file excle luôn rồi xử lý các số liệu luôn
  • 0

#4 luu_quang

luu_quang

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 June 2012 - 08:48 AM

Các bạn cho mình hỏi :
Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?
có dùng lisp gì không hay chỉ dùng lệnh trong
== làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao
  • 0

#5 whatcholingon

whatcholingon

    biết lệnh break

  • Members
  • PipPipPipPip
  • 222 Bài viết
Điểm đánh giá: 37 (tàm tạm)

Đã gửi 01 June 2012 - 09:14 AM

Các bạn cho mình hỏi :
Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?
có dùng lisp gì không hay chỉ dùng lệnh trong
== làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao

Để ghi tọa độ ra màn hình bạn dùng LSP này (Hình như của Mr Thai)

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=12225
;GHI TOA DO CAC DIEM VA THONG KE THANH BANG
----------------------------------------------
(defun C:td1 (/ diem PT1 PT2 PT3 tapx tapy
x y xx yy h n di kc
C PT PTX PTY PTD PTC N
p1 p2 p3 p4 p11 p22 p33 L1 L2 L11 L22)
(setvar "cmdecho" 0 )
(command "Undo" "Begin")
(setq om (getvar "osmode"))
(setq tapx '()
tapy '()
stt '()
k 0
h (getreal "\nnhap chieu cao chu:"))

(while
(setq diem (getpoint "\nchon cac vi tri co toa do can ghi:"))
(progn
(setq PT1 (list(+ (* 3 h) (car diem))(+ (* 3 h) (cadr diem)))
PT2 (list (car PT1) (- (cadr PT1)(+ 1 h) ) )
x (rtos(car diem) 2 4)
y (rtos (cadr diem) 2 4)
tapx (append tapx (list x))
tapy (append tapy (list y))
;;;;;; k (+ 1 k)
;;;;;N (strcat "N" (rtos k 2 0))
;;;; stt (append stt (list N))
);setq
(setvar "osmode" 0)
(command "text" "j" "BL" PT1 h 0 x)
(setq TB (textbox (entget(entlast)))
LC (car TB)
RC (cadr TB)
di (distance LC RC)
PT3 (polar PT1 0 (+ di h))
;;;;;;C (polar PT3 0 (* 1.5 h))
);setq
(command "text" PT2 h 0 y
"pline" diem PT1 PT3 ""
;;;;;"circle" (polar PT3 0 (* 1.5 h)) (* 1.5 h)
;;;;;"text" "m" (polar PT3 0 (* 1.5 h)) h 0 N
)

(setvar "osmode" om)
);progn
);dong while

;tao bang thong ke
(setq kc (* 2 di)
PT (getpoint"\nvi tri dat bang :")
PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
p1 (list (car PT) (+ (cadr PT)(* 2 h)))
p2 (list (car PTC) (+ (cadr PTC)(* 2 h)))
p3 (list (car p1) (+ (cadr p1)(* 2 h)))
p4 (list (car p2) (+ (cadr p2)(* 2 h)))
PTD (list (+ (/ di 2) (car PT)) (+ h (cadr PT)))
PTX (list (+ di (/ di 2) (car PTD)) (cadr PTD))
PTY (list (+ kc (car PTX)) (cadr PTX))
p11 (list (+ (/ di 2) (car p1)) (+ h (cadr p1)))
p22 (list (+ di (/ di 2) (car p11)) (cadr p11))
p33 (list (+ kc (car p22)) (cadr p22))
L1 (list (+ di (car p3))(cadr p3))
L2 (list (+ kc (car L1))(cadr L1))
n (length tapx)
k 0
);setq
(setvar "osmode" 0)
(command "line" p1 p2 ""
"text" "j" "m" p11 h 0 "STT"
"text" "j" "m" p22 h 0 "Täa ®é X"
"text" "j" "m" p33 h 0 "Täa ®é Y"
"line" p3 p4 "")
(while (< k n)
(setq xx (nth k tapx)
yy (nth k tapy)
tstt(nth k stt))
(command "text" "j" "m" PTD h 0 tstt
"text" "j" "m" PTX h 0 xx
"text" "j" "m" PTY h 0 yy
"line" PT PTC "")
(setq PT (list (car PT) (- (cadr PT)(* 2 h)))
PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
PTD (list (+ (/ di 2) (car PT)) (+ h (cadr PT)))
PTX (list (+ di (/ di 2) (car PTD)) (cadr PTD))
PTY (list (+ kc (car PTX)) (cadr PTX))
k (+ 1 k));setq
);while
(if (= k n)
(setq PT (list (car PT) (+ (cadr PT)(* 2 h)))
PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
L11 (list (+ di (car PT))(cadr PT))
L22 (list (+ kc (car L11))(cadr L11))
);setq
);if
(command "line" p3 PT ""
"line" p4 PTC ""
"line" L1 L11 ""
"line" L2 L22 "")
(setvar "osmode" om )
(setvar "cmdecho" 1)
(prompt"\nxong\n")
(command "Undo" "End")
(princ)
);DONG toado
làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao
Chưa hiểu ý của bạn.
- Nếu đo kích thước chiều dài đoạn thẳng thì được. (?)
- Lấy tọa độ các điểm đầu cuối của đoạn thẳng cũng được (?)
  • 0

#6 vanthao91ct

vanthao91ct

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2012 - 09:51 AM

sao tôi dùng lệnh IP để bắt tọa độ của đường thẳng mà không được vậy bạn.
  • 0

#7 vanthao91ct

vanthao91ct

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2012 - 09:55 AM

tôi chỉ muốn lấy tọa độ của từng đoạn thẳng với chiều dài của nó thôi à.
  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 30 June 2012 - 09:55 AM

Bạn có thể dùng lệnh LI
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 vanthao91ct

vanthao91ct

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2012 - 09:57 AM

tại bên phòng tôi thấy mấy anh xài IP để lấy tọa độ của từng cái còn xài Li nó sẽ cho ra nhiều tọa độ.
  • 0

#10 vanthao91ct

vanthao91ct

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2012 - 09:58 AM

yahoo của tôi: o0cau2cantho0o0@yahoo.com bạn cho xin cái yahoo của bạn để tôi gởi hình cho bạn nhé
  • 0

#11 vanthao91ct

vanthao91ct

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2012 - 09:59 AM

tôi lấy tọa độ của từng đường chuyền cấp I và II thôi à:D
  • 0

#12 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 30 June 2012 - 02:20 PM

sao tôi dùng lệnh IP để bắt tọa độ của đường thẳng mà không được vậy bạn.

Hề hề hề,
Bạn có lộn tiệm không vậy???
cad có lệnh ID dùng để xuất tọa độ point ra màn hình, còn lệnh IP thì không có, (trừ phi bạn có lệnh tắt riêng của bạn hay lệnh của lisp).
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#13 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 01 July 2012 - 08:05 PM

Bạn nên học cad cho tốt trước khi hỏi. Cẩn thận nhầm nhọt sang trồng trọt như Bác Bình vừa nêu ở trên nhé. Dân Trắc Địa phải linh hoạt xử lý số liệu.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#14 lelinhorovo

lelinhorovo

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: -8 (bình thường)

Đã gửi 31 May 2013 - 09:18 AM

Tốt nhất bạn dùng lệnh ID để xem tọa độ một điểm, còn lệnh LI là list tọa độ một vùng kín, DI đo chiều dài một đoạn thẳng. Đó là kinh nghiệm của mình thôi,chưs mình vẫn gà lắm, mới biết sơ sơ thôi


  • 0

#15 dangchaudkt47

dangchaudkt47

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 August 2014 - 02:42 PM

bây giờ em có 1 điểm có tọa độ (x,y) em muốn tìm tọa độ đó trên bản vẽ thì làm cahcs nào các bác.xin các bác chỉ giúp em


  • 0

#16 vietdoan92

vietdoan92

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 November 2014 - 08:06 AM

gưi bạn cái lisp này rất tiện dụng .bạn xuất toạ độ và chiều dài trên cad và tạo ra bản luôn .chúc bạn nay mắn.sau khiload lisp vào cad ,dung lệnh tắt là "vc" pic vào điẻm cần xuất toạ độ


  • 0

#17 vietdoan92

vietdoan92

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 November 2014 - 08:07 AM

http://www.cadviet.c...25_47404_vc.lsp

gưi bạn cái lisp này rất tiện dụng .bạn xuất toạ độ và chiều dài trên cad và tạo ra bản luôn .chúc bạn nay mắn.sau khiload lisp vào cad ,dung lệnh tắt là "vc" pic vào điẻm cần xuất toạ độ


  • 0